Results 1 to 4 of 4

Thread: Heroic Games Launcher Python3 Errors

  1. #1

    Default Heroic Games Launcher Python3 Errors

    So I recently installed Heroic Launcher 2.3.3 using the Github RPM. This RPM has worked for me in past versions but I am now getting errors related to python and I was hoping for some help.

    Code:
    Launch Command: /opt/Heroic/resources/app.asar.unpacked/build/bin/linux/legendary launch Kiwi --wine "/home/DELETED/.steam/steam/steamapps/common/Proton - Experimental/proton" --wine-prefix /home/DELETED/Games/Heroic/Prefixes/Tetris®-Effect-Connected
    
    
    System Info:
    
    
      Heroic Version: 2.3.3 Brook
      Legendary Version:  0.20.25 Our Benefactors
      OS: openSUSE Tumbleweed KERNEL: 5.17.5-1-default ARCH: x64
      CPU: Intel Core™ i7-4770 @3.4 GOVERNOR: schedutil
      RAM: Total: 31.26 GiB Available: 25.38 GiB
      GRAPHICS: GPU0: NVIDIA GeForce GTX 1070 VRAM: 8192MB DRIVER: 510.68.02 
      PROTOCOL: x11
      
    
    
    Game Settings: {
        "checkUpdatesInterval": 10,
        "enableUpdates": false,
        "addDesktopShortcuts": false,
        "addStartMenuShortcuts": false,
        "autoInstallDxvk": false,
        "autoInstallVkd3d": false,
        "checkForUpdatesOnStartup": true,
        "customWinePaths": [],
        "defaultInstallPath": "/home/DELETED/Games/Heroic",
        "defaultWinePrefix": "/home/DELETED/Games/Heroic/Prefixes",
        "language": "en",
        "maxWorkers": 0,
        "minimizeOnLaunch": false,
        "nvidiaPrime": false,
        "otherOptions": "",
        "showUnrealMarket": false,
        "showFps": false,
        "useGameMode": false,
        "userInfo": {
            "epicId": "DELETED",
            "name": "DELETED"
        },
        "wineCrossoverBottle": "Heroic",
        "winePrefix": "/home/DELETED/Games/Heroic/Prefixes/Tetris®-Effect-Connected",
        "wineVersion": {
            "bin": "'/home/DELETED/.steam/steam/steamapps/common/Proton - Experimental/proton'",
            "name": "Proton - Proton - Experimental"
        },
        "altLegendaryBin": "",
        "altGogdlBin": "",
        "audioFix": false,
        "darkTrayIcon": false,
        "disableController": false,
        "discordRPC": false,
        "egsLinkedPath": "",
        "enableEsync": false,
        "enableFsync": false,
        "exitToTray": false,
        "maxRecentGames": 5,
        "showMangohud": false,
        "startInTray": false,
        "maxSharpness": 2,
        "offlineMode": false,
        "savesPath": "",
        "targetExe": "",
        "useSteamRuntime": false
    }
    
    
    Error Log:
    [cli] INFO: Logging in...
    [Core] INFO: Trying to re-use existing login session...
    [cli] INFO: Checking for updates...
    [Core] INFO: Getting authentication token...
    [cli] INFO: Launching Kiwi...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    Python path configuration:
      PYTHONHOME = (not set)
      PYTHONPATH = (not set)
      program name = 'python3'
      isolated = 0
      environment = 1
      user site = 1
      import site = 1
      sys._base_executable = '/usr/bin/python3'
      sys.base_prefix = '/usr'
      sys.base_exec_prefix = '/usr'
      sys.executable = '/usr/bin/python3'
      sys.prefix = '/usr'
      sys.exec_prefix =
    '/usr'
      sys.path = [
        '/usr/lib/python38.zip',
        '/usr/lib/python3.8',
        '/usr/lib/lib-dynload',
      ]
    Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
    Python runtime state: core initialized
    ModuleNotFoundError: No module named 'encodings'
    
    
    Current thread 0x00007f8127ccb740 (most recent call first):
    <no Python frame>
    I get that it is likely something to do with setting the pythonpath and pythonhome environment variables.. but not sure why these are not automatically set during the setup for python in openSUSE.

    Please let me know if I am way off base here.

    Thank you

  2. #2
    Join Date
    Apr 2021
    Location
    Deutschland, Königswinter, NRW
    Posts
    42

    Default AW: Heroic Games Launcher Python3 Errors

    Why not over the OBS Software search ?

    I had install it via this way and have no problems.

    I add the repo over the terminal way and adjust the rest in yast repo management software.

    https://software.opensuse.org/downlo...me%3AHenkire__

  3. #3

    Default Re: AW: Heroic Games Launcher Python3 Errors

    Quote Originally Posted by Quinix View Post
    Why not over the OBS Software search ?

    I had install it via this way and have no problems.

    I add the repo over the terminal way and adjust the rest in yast repo management software.

    https://software.opensuse.org/downlo...me%3AHenkire__

    Have tried this install method as well... Same error. tried the flatpak as well as OBS software search... both give the same error..... I really think this has something to do with python as per the error log but I really just dont know anything about pythonpath or pythonhome environement variables.... or why they wouldnt be set automatically in OpenSUSE...

  4. #4

    Default Re: Heroic Games Launcher Python3 Errors

    There have been a lot of Python-updates recently on Tumbleweed. Version 2.3.9 Heroic works fine on 20220624 snapshot. Used the rpm from the official site.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •